> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 在住宅区域注册客户

<Tip>
  使用 `vertical` 和 `ext_cust_email` 以垂直行业信息注册客户
</Tip>


## OpenAPI

````yaml cn-openapi-reseller POST /api/{PARTNER_NAME}/signup_residential
openapi: 3.0.1
info:
  title: Brightdata API
  description: 将 Bright Data API 集成到您的数据管道中，确保高精度爬取
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /api/{PARTNER_NAME}/signup_residential:
    post:
      parameters:
        - in: path
          name: PARTNER_NAME
          description: 将处理您请求的代理区域名称。
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                zone:
                  type: string
                  description: 区域名称
                  default: residential
                  example: residential
                vertical:
                  type: string
                  description: 区域垂直类型。可以是 `sneakers_release` 或 `product_release_goods`
                  default: sneakers_release|product_release_goods
                  example: sneakers_release|product_release_goods
                ext_cust_email:
                  type: string
                  description: 现有可信客户的邮箱。使用 `product_release_goods` 垂直类型时需指定此参数
                  example: johndoe@example.com
                asn_targeting:
                  type: number
                  description: 启用城市定向权限
                  default: 1
                  example: 1
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                type: object
                example:
                  id: CUSTOMER_ID
                  zone: ZONE
                  password: PASSWORD
                  api_token: API_KEY
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。


        **认证方法:**

        1. 从 Bright Data 账户设置获取您的 API Key:
        https://brightdata.com/cp/setting/users

        2. 在请求的 Authorization 头中包含 API Key

        3. 格式: `Authorization: Bearer YOUR_API_KEY`


        **示例:**

        ```

        Authorization: Bearer
        b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

        ```


        了解如何获取 Bright Data API Key:
        https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key？
      bearerFormat: API Key

````